<?php
require('dbconnect.php');

$id = $_REQUEST['id'];
$sql = sprintf("SELECT * FROM goods WHERE id=%d" , mysqli_real_escape_string($db, $id));
$recordSet = mysqli_query($db, $sql);
$data = mysqli_fetch_assoc($recordSet);
?>
<!DOCTYPE html>
<html lang="en" dir="ltr">
	<head>
		<meta charset="utf-8">
		<title>変更ページ</title>
	</head>
	<body>

	<p>変更する内容を記入してください。</p>
	<form id="frmUpdate" name="frmUpdate" method="post" action="update_do.php">

	<p><label for="goods_name">商品名</label></p>
	<input type="text" name="goods_name" id="goods_name" value="<?php print(htmlspecialchars($data['goods_name'], ENT_QUOTES)); ?>">

	<p><label for="send">発送日</label></p>
	<select name="send" id="send">
		<option value="">選択</option>
		<option value="翌日" <?php if ($data['send'] == '翌日') {echo ' selected';} ?>>翌日</option>
		<option value="2営業日" <?php if ($data['send'] == '2営業日') {echo ' selected';} ?>>2営業日</option>
		<option value="3営業日" <?php if ($data['send'] == '3営業日') {echo ' selected';} ?>>3営業日</option>
		<option value="4営業日" <?php if ($data['send'] == '4営業日') {echo ' selected';} ?>>4営業日</option>
	</select>

	<p><label for="size">サイズ</label></p>
	<select name="size" id="size">
		<option value="">選択</option>
		<option value="A4" <?php if ($data['size'] == 'A4') {echo ' selected';} ?>>A4</option>
		<option value="A5" <?php if ($data['size'] == 'A5') {echo ' selected';} ?>>A5</option>
		<option value="B5" <?php if ($data['size'] == 'B5') {echo ' selected';} ?>>B5</option>
		<option value="B6" <?php if ($data['size'] == 'B6') {echo ' selected';} ?>>B6</option>
	</select>

	<p><label for="number_of_copies">部数</label></p>
	<input type="text" name="number_of_copies" id="number_of_copies" value="<?php print(htmlspecialchars($data['number_of_copies'], ENT_QUOTES)); ?>">

	<p>
	<input type="submit" value="変更する">
	<input type="hidden" name="id" value="<?php print(htmlspecialchars($data['id'], ENT_QUOTES)); ?>" />
	</p>

	</body>
</html>
